Bug 826546 - [RV710] Second Monitor via VGA Graphic Issue (Driver: Gallium 0.4 on AMD RV710; Graphics: ATI Technologies Inc M92 [Mobility Radeon HD 4500/5100 Series])
[RV710] Second Monitor via VGA Graphic Issue (Driver: Gallium 0.4 on AMD RV71...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 09:33 EDT by Manuel Schneckenreither
Modified: 2013-08-01 09:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:32:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (52.64 KB, text/x-log)
2012-05-30 09:33 EDT, Manuel Schneckenreither
no flags Details

  None (edit)
Description Manuel Schneckenreither 2012-05-30 09:33:44 EDT
Created attachment 587734 [details]
Xorg.log

Description of problem:
Whenever I turn on my laptop with a Second Monitor (happened with LG Flatron W24437 and several TV's) connected via VGA, my laptop monitor starts blinking in different colors. It displays black, green, red, blue, etc. screens (literally the whole monitor shows the same color) while the second monitor, the one connected via VGA displays everything as it should.
However starting up without a second monitor connected to the laptop works perfectly fine as long as I do not connect a second monitor.

Version-Release number of selected component (if applicable):
(Same occurred with Fedora 16.)

How reproducible:
On every restart (from the time on when I have to enter my password to decrypt the home partition) or by connecting a monitor to the running system.

Steps to Reproduce:
1. Plugin second monitor
2. Start computer
3. Wait until monitor starts blinking (which happens as soon as it asks me for the password to decrypt my home patition)
  

Actual results:
One monitor (the laptop monitor) blinks, second monitor (external, connected via VGA) works.

Expected results:
Both monitors working.

Additional info:
WORKAROUND:
So far so good. What I found out is that if I log in and open the Gnome Shell Displays Settings I can repair the bug by:
1. moving the Gnome Shell panel from the external monitor to the laptop monitor. At this point nothing happens, the monitors doesn't even seem to reload.
2. moving the Gnome Shell panel back to the external monitor. As soon as I press the apply button both monitors reload/reflash, which means they are black for a quarter of a second and then display the Gnome Shell. 


It seems like a easy reload/reflash of the the monitors after loading the Gnome Shell login screen could fix this issue.


Added Xorg.log as an attachment.

xrandr -q after doing the WORKAROUND above:
$ xrandr -q
Screen 0: minimum 320 x 200, current 3286 x 1080, maximum 8192 x 8192
VGA-0 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 290mm
   1920x1080      60.0*+
   1680x1050      60.0  
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
LVDS connected 1366x768+1920+312 (normal left inverted right x axis y axis) 344mm x 193mm
   1366x768       60.0*+
   1280x720       59.9  
   1152x768       59.8  
   1024x768      120.1     60.0     59.9  
   960x720       120.0  
   928x696       120.1  
   896x672       120.0  
   800x600       120.0     60.3     59.9     56.2  
   848x480        59.7  
   700x525       120.0  
   720x480        59.7  
   640x512       120.0  
   640x480       120.0     59.9     59.4  
   512x384       120.0  
   400x300       120.6    112.7  
   320x240       120.1
Comment 1 Manuel Schneckenreither 2012-05-30 12:38:34 EDT
restarting X Server with STRG+ALT+BACKSPACE resets the settings to not working.

output of xrandr -q however is the same
Comment 2 Jérôme Glisse 2012-05-30 12:46:03 EDT
Do you change anything like the power state ? If so it's not supported with 2 monitor.
Comment 3 Manuel Schneckenreither 2012-05-30 16:52:08 EDT
no it's a completely fresh install!
Comment 4 Manuel Schneckenreither 2012-06-04 10:18:24 EDT
my bad. Misread that.

No did not change the power state.

Can I provide any other information for you?
Comment 5 Fedora End Of Life 2013-07-04 00:26:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:32:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.